/*
 * static char *rcsid_skills_h =
 *   "$Id: skills.h,v 1.1 1994/10/07 09:23:25 master Exp $";
 */

/*
    CrossFire, A Multiplayer game for X-windows

    Copyright (C) 1994 Mark Wedel
    Copyright (C) 1992 Frank Tore Johansen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    The author can be reached via e-mail to master@rahul.net
*/
/*
 * First written 6 Sep 1994, Nick Williams (njw@cs.city.ac.uk)
 *
 * Initially, I was going to do this as spells, but there is so much
 * crap associated with spells (using sp, time to cast, might happen
 * as WONDER, etc) that I decided it was time to implement skills.  A
 * skill at the moment is merely a "flag" which is placed into the
 * player. The idea is that it will develop into having a rating,
 * which can be improved by practice.  A player could potentially
 * "learn" any number of skills, however this would be dependent on
 * their intelligence.  Perhaps skills should also record when they
 * were learnt, and their "rating" should decay as time goes by,
 * making characters have to either practice their skills, or re-learn
 * them.  BTW: Some skills should be dependent on having
 * tools... e.g. lockpicking would work much better if the player is
 * using a lockpick.
 */

enum skillnrs { 
    /* 0 */
    SK_THIEVERY,		/* steal from other players/NPCs */

/* Here follows a list of others which could be implemented, but are
 * not */
#if 0
    SK_LOCKPICKING,		/* open doors without having to bash them */
    SK_ARCHERY,			/* extra skill at using bows */
    SK_SWORDSMANSHIP,		/* extra skill with swords */
    SK_HERBLORE,		/* can auto-identify herbs,spell components */
    SK_JEWELLERY,		/* can auto-identify gems */
    SK_LIBRARIAN,		/* can auto-identify scrolls/books */
    SK_WOODCRAFT,		/* can auto-identify staffs */
    SK_SMITHERY,		/* can auto-identify weapons/armor */
#endif
};

typedef struct skill_struct {
      char* name;		/* how to describe it to player */
      /* Cost? */
      /* constraints ? */
} skill;

skill skills[] = {
    { "thievery" },
#if 0
    { "lock-picking" },
    { "swordsmanship" },
    { "herblore" },
    { "jewellery" },
    { "booklore" },
    { "woodcraft" },
    { "smithery" }
#endif
};
